Bug 228697 - [NEW PORT] devel/py-oslotest: Oslo test framework
Summary: [NEW PORT] devel/py-oslotest: Oslo test framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: https://pypi.org/project/oslotest/
Keywords:
Depends on: 228680 228681 228685 228689 228692 228693
Blocks: 228698
  Show dependency treegraph
 
Reported: 2018-06-02 16:24 UTC by Kai Knoblich
Modified: 2018-07-06 17:45 UTC (History)
3 users (show)

See Also:


Attachments
py-oslotest.patch (4.00 KB, patch)
2018-06-02 16:24 UTC, Kai Knoblich
no flags Details | Diff
py-oslotest-rev2.patch (3.99 KB, patch)
2018-06-09 17:54 UTC, Kai Knoblich
kai: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 16:24:23 UTC
Created attachment 193937 [details]
py-oslotest.patch

Hello,

attached is the patch from svn for the Python package devel/py-oslotest, that provides common fixtures, support for debugging and better support for mocking results.

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer version at PyPI available but v3.2.0 is the latest supported release for the Queens Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-oslotest)
- Before this update can be committed following port must be added/updated first:
-> add devel/py-python-subunit (see also PR #228685: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228685)
-> add devel/py-testrepository (see also PR #228692: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228692)
-> add devel/py-mox3 (see also PR #228680: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228680)
-> add textproc/py-openstackdocstheme (see also PR #228681: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228681)
-> update devel/py-os-client-config (see also PR #228693: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228693)
-> update devel/py-openstacksdk (see also PR #228689: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228689)
Comment 1 Kai Knoblich freebsd_committer 2018-06-09 17:54:52 UTC
Created attachment 194102 [details]
py-oslotest-rev2.patch

Same patch with keyword "concurrent" removed from USE_PYTHON.
Comment 2 commit-hook freebsd_committer 2018-07-06 17:34:09 UTC
A commit references this bug:

Author: miwi
Date: Fri Jul  6 17:33:28 UTC 2018
New revision: 474020
URL: https://svnweb.freebsd.org/changeset/ports/474020

Log:
  The Oslo Test framework provides common fixtures, support for debugging, and
  better support for mocking results.

  WWW: https://docs.openstack.org/oslotest/

  PR:		228697
  Submitted by:	freebsd_ports@k-worx.org
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/Makefile
  head/devel/py-oslotest/
  head/devel/py-oslotest/Makefile
  head/devel/py-oslotest/distinfo
  head/devel/py-oslotest/pkg-descr